gnutls_transport_get_int(3)

NAME
gnutls_transport_get_int - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_transport_get_int(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Used to get the first argument of the transport function (like PUSH and PULL). This must have been set using gnutls_transport_set_int().

RETURNS
The first argument of the transport function.

SINCE
3.1.9

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/